#####################################################################
# Copyright (c) 2003-2008, Impulse Accelerated Technologies, Inc.
# All Rights Reserved.
#
# export.tcl - Export a design.
#
#####################################################################

proc CopySoftwareFiles {name srcdir dstdir} {
	file mkdir $dstdir/sw/src
	
	foreach f [glob -nocomplain $srcdir/*.c] {
		file copy -force $f $dstdir/sw/src
	}
	foreach f [glob -nocomplain $srcdir/*.h] {
		file copy -force $f $dstdir/sw/src
	}
}

proc CopyHardwareFiles {name srcdir dstdir} {
	file mkdir $dstdir/impulse_lib
	foreach f [glob -nocomplain $srcdir/lib/*] {
		file copy -force $f $dstdir/impulse_lib
	}
	
	file mkdir $dstdir/hw
	
	foreach f [glob -nocomplain $srcdir/class/*] {
		file copy -force $f $dstdir/hw
	}
	foreach f [glob -nocomplain $srcdir/*.vhd] {
		file copy -force $f $dstdir/hw
	}
	foreach f [glob -nocomplain $srcdir/*.v] {
		file copy -force $f $dstdir/hw
	}
	foreach f [glob -nocomplain $srcdir/*.mif] {
		file copy -force $f $dstdir
	}
	foreach f [glob -nocomplain $srcdir/*.ucf] {
		file copy -force $f $dstdir/hw
	}
	
	if { [file isdirectory $srcdir/xco] } {
		file mkdir $dstdir/xco
		foreach f [glob -nocomplain $srcdir/xco/*] {
			file copy -force $f $dstdir/xco
		}
	}
}

